-- This is responsible for drawing add-on
--[[
[18:29] <Aaeriele> KamilN: 1,0,0,1
[18:29] <Aaeriele> KamilN: or 0,1,1,0
[18:29] <Wobin> hm, is there an addon that adds tooltips to stuff?
[18:29] <Aaeriele> is probably what you want
[18:29] <Aaeriele> basically you're setting the bounds that the program sweeps over the texture
[18:29] <Aaeriele> left, right, top, bottom
[18:30] <Aaeriele> so 0,1,1,0 is normal horizontal, flipped vertical
[18:30] <Aaeriele> and 1,0,0,1 is flipped horizontal, normal vertical
[18:30] <KamilN> Aeriele: 1,0,0,1 is working. Thank you!
[18:30] <Aaeriele> since "normal both" is 0,1,0,1
[18:30] <Aaeriele> (go from 0->1 on x, 0->1 on y)
]]--
Drawer = {}

function Drawer:Draw(icon, name, dx, dy, scale)
  local texture = WINDOW_MANAGER:GetControlByName(name)
  if (not texture) then
    texture = WINDOW_MANAGER:CreateControl(name, GDPTopControl, CT_TEXTURE)
    texture:SetDimensions(256,256)
    texture:SetAnchor(CENTER,GDPTopControl,CENTER, dx*(-1), dy)
    texture:SetTextureCoords(1,0,0,1)
  end
  texture:SetTexture(icon)    
end